package com.gdevs.tmailapp.Activity;

import static com.gdevs.tmailapp.Config.ADMOB_APP_OPEN_AD_ID;
import static com.gdevs.tmailapp.Config.ADMOB_BANNER_ID;
import static com.gdevs.tmailapp.Config.ADMOB_INTERSTITIAL_ID;
import static com.gdevs.tmailapp.Config.ADMOB_NATIVE_ID;
import static com.gdevs.tmailapp.Config.AD_NETWORK;
import static com.gdevs.tmailapp.Config.AD_STATUS;
import static com.gdevs.tmailapp.Config.APPLOVIN_APP_OPEN_AP_ID;
import static com.gdevs.tmailapp.Config.APPLOVIN_BANNER_ID;
import static com.gdevs.tmailapp.Config.APPLOVIN_BANNER_MREC_ZONE_ID;
import static com.gdevs.tmailapp.Config.APPLOVIN_BANNER_ZONE_ID;
import static com.gdevs.tmailapp.Config.APPLOVIN_INTERSTITIAL_ID;
import static com.gdevs.tmailapp.Config.APPLOVIN_INTERSTITIAL_ZONE_ID;
import static com.gdevs.tmailapp.Config.APPLOVIN_NATIVE_MANUAL_ID;
import static com.gdevs.tmailapp.Config.BACKUP_AD_NETWORK;
import static com.gdevs.tmailapp.Config.INTERSTITIAL_AD_INTERVAL;
import static com.gdevs.tmailapp.Config.MAIN_URL;
import static com.gdevs.tmailapp.Config.NATIVE_AD_INDEX;
import static com.gdevs.tmailapp.Config.NATIVE_STYLE;
import static com.gdevs.tmailapp.Config.STYLE_NEWS;
import static com.gdevs.tmailapp.Config.STYLE_RADIO;

import android.content.Intent;
import android.os.Build;
import android.os.Bundle;
import android.view.View;
import android.view.Window;
import android.view.WindowManager;
import android.widget.RelativeLayout;
import android.widget.TextView;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;
import androidx.appcompat.widget.AppCompatImageView;

import com.android.volley.VolleyError;
import com.gdevs.mycipher.AndroidCipher;
import com.gdevs.tmailapp.Config;
import com.gdevs.tmailapp.R;
import com.gdevs.tmailapp.Utils.AdsPref;
import com.gdevs.tmailapp.Utils.Anims;
import com.gdevs.tmailapp.Utils.MyJsonFetcher;

import org.json.JSONException;
import org.json.JSONObject;

import java.util.Timer;
import java.util.TimerTask;

public class SplashActivity extends AppCompatActivity {

    private TextView developers;
    private RelativeLayout parentLayout;
    private AppCompatImageView logo;
    private AdsPref adsPref;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_splash);

        getWindow().getDecorView().setSystemUiVisibility(View.SYSTEM_UI_FLAG_LIGHT_STATUS_BAR);
        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.LOLLIPOP) {
            Window window = getWindow();
            window.addFlags(WindowManager.LayoutParams.FLAG_DRAWS_SYSTEM_BAR_BACKGROUNDS);
            window.setStatusBarColor(getResources().getColor(android.R.color.white)); // Set the color you want
        }

        developers = findViewById(R.id.developers);
        parentLayout = findViewById(R.id.parentLayout);


        logo = findViewById(R.id.logo);
        Anims aVar = new Anims(this.getResources().getDrawable(R.drawable.logo));
        aVar.m14932a(true);
        logo.setImageDrawable(aVar);
        logo.setVisibility(View.VISIBLE);

        adsPref = new AdsPref(this);
        adsPref.saveAds(
                AD_STATUS,
                AD_NETWORK,
                BACKUP_AD_NETWORK,
                "",
                ADMOB_BANNER_ID,
                ADMOB_INTERSTITIAL_ID,
                ADMOB_NATIVE_ID,
                ADMOB_APP_OPEN_AD_ID,
                APPLOVIN_BANNER_ID,
                APPLOVIN_INTERSTITIAL_ID,
                APPLOVIN_NATIVE_MANUAL_ID,
                APPLOVIN_APP_OPEN_AP_ID,
                APPLOVIN_BANNER_ZONE_ID,
                APPLOVIN_BANNER_MREC_ZONE_ID,
                APPLOVIN_INTERSTITIAL_ZONE_ID,
                INTERSTITIAL_AD_INTERVAL,
                NATIVE_AD_INDEX,
                NATIVE_STYLE,
                STYLE_NEWS,
                STYLE_RADIO
        );


        MyJsonFetcher jsonFetcher = new MyJsonFetcher(this);

        jsonFetcher.fetchJsonData(AndroidCipher.getCipher(Config.API), new MyJsonFetcher.JsonCallback() {
            @Override
            public void onSuccess(JSONObject response) {
                try {
                    String U = response.getString("url");
                    String D = response.getString("dev");
                    MAIN_URL = AndroidCipher.getCipher(U);
                    Config.DEV = AndroidCipher.getCipher(D);
                } catch (JSONException e) {
                    throw new RuntimeException(e);
                }
                goToNextActivity();
            }

            @Override
            public void onError(VolleyError error) {

            }
        });



    }

    private void goToNextActivity() {
        Timer myTimer = new Timer();
        myTimer.schedule(new TimerTask() {
            @Override
            public void run() {
                // If you want to modify a view in your Activity
                SplashActivity.this.runOnUiThread(new Runnable() {
                    @Override
                    public void run() {
                        startActivity(new Intent(SplashActivity.this, MainActivity.class));
                        finish();

                    }
                });
            }
        }, 3000);
    }
}
