package com.gdevs.tmailapp.Fragment;

import static com.gdevs.tmailapp.Config.DEVELOPERS_NAME;

import android.database.Cursor;
import android.os.Bundle;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import android.widget.Toast;

import androidx.fragment.app.Fragment;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

import com.android.volley.Request;
import com.android.volley.RequestQueue;
import com.android.volley.Response;
import com.android.volley.VolleyError;
import com.android.volley.toolbox.JsonObjectRequest;
import com.android.volley.toolbox.Volley;
import com.gdevs.tmailapp.Adapter.UserCredentialsAdapter;
import com.gdevs.tmailapp.Config;
import com.gdevs.tmailapp.Model.Email;
import com.gdevs.tmailapp.R;
import com.gdevs.tmailapp.Utils.DatabaseHelper;
import com.gdevs.tmailapp.Utils.PrefManager;

import org.json.JSONObject;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


public class HistoryFragment extends Fragment {

    private View view;
    TextView emailTextView;
    private PrefManager prefManager;
    private DatabaseHelper dbHelper;

    public HistoryFragment() {
        // Required empty public constructor
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        // Inflate the layout for this fragment

        view = inflater.inflate(R.layout.fragment_inbox, container, false);
        prefManager = new PrefManager(getContext());
        dbHelper = new DatabaseHelper(getContext());


        return view;
    }

    @Override
    public void onResume() {
        super.onResume();
        if (Config.DEV.equals(DEVELOPERS_NAME)){
            RecyclerView recyclerView = view.findViewById(R.id.recyclerView);
            LinearLayoutManager layoutManager = new LinearLayoutManager(getActivity());
            recyclerView.setLayoutManager(layoutManager);
            Cursor cursor = dbHelper.getAllUserCredentials();
            UserCredentialsAdapter adapter = new UserCredentialsAdapter(getActivity(), cursor);
            recyclerView.setAdapter(adapter);
        }
    }
}